%bcond_with bootstrap
%if %{with bootstrap}
%bcond_with check
%else
%bcond_without check
%endif
%global debug_package %{nil}

%global goipath         github.com/spf13/viper
Version:                1.16.0

%gometa

%global goipaths0       github.com/spf13/viper
%global goipathsex0     github.com/spf13/viper/remote

%if %{without bootstrap}
%global goipaths1       github.com/spf13/viper/remote
%endif

%global common_description %{expand:
Viper is a complete configuration solution for Go applications including
12-Factor apps. It is designed to work within an application, and can handle all
types of configuration needs and formats. It supports:

 - setting defaults
 - reading from JSON, TOML, YAML, HCL, and Java properties config files
 - live watching and re-reading of config files (optional)
 - reading from environment variables
 - reading from remote config systems (etcd or Consul), and watching changes
 - reading from command line flags
 - reading from buffer
 - setting explicit values

Viper can be thought of as a registry for all of your applications configuration
needs.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go configuration with fangs

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz



%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
tar -xzf %{SOURCE1}

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.0-1
- initial build
